[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.GetClientScrollOffset

Returns the offset of the scrolled client area (in a scrolling TWinControl).

## Declaration

Source position: controls.pp line 1398

`protected function TControl.GetClientScrollOffset: TPoint; virtual;`

## Function result

The X and Y offsets of the visible client area, equal to the scroll bar positions.

## Description

The overridden method may fail when the TScrollingWinControl has only one scroll bar.

## See also

TControl.GetScrolledClientRect |  | Get the visible part of the logical client area.
TScrollingWinControl.GetClientScrollOffset |  | The origin for the physical client area.